cURL
curl -X GET \
/catalogue/product-groups/{id} \
--header "Authorization: Bearer <token>"import requests
url = "https://coreapi.io/catalogue/product-groups/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://coreapi.io/catalogue/product-groups/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://coreapi.io/catalogue/product-groups/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
"name": "SaaS Packages",
"enabled": true,
"forceSameBillingInterval": false,
"memberships": [
{
"id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
"product": "<unknown>",
"pricePlans": [
"<unknown>"
],
"position": 123,
"label": "Pro",
"upgradeable": true,
"downgradeable": true,
"changeTiming": "immediately",
"creditType": "full"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Product Group
Get a product group
Get a product group by ID.
Required permissions:product-group:readGET
/
catalogue
/
product-groups
/
{id}
cURL
curl -X GET \
/catalogue/product-groups/{id} \
--header "Authorization: Bearer <token>"import requests
url = "https://coreapi.io/catalogue/product-groups/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://coreapi.io/catalogue/product-groups/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://coreapi.io/catalogue/product-groups/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
"name": "SaaS Packages",
"enabled": true,
"forceSameBillingInterval": false,
"memberships": [
{
"id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
"product": "<unknown>",
"pricePlans": [
"<unknown>"
],
"position": 123,
"label": "Pro",
"upgradeable": true,
"downgradeable": true,
"changeTiming": "immediately",
"creditType": "full"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Get a single product group by ID.
Autorisierungen
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Pfadparameter
ProductGroup identifier
Antwort
ProductGroup resource
A product group for up- and downgrades
Beispiel:
"ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b"
Beispiel:
"SaaS Packages"
Beispiel:
true
If true, customers can only switch between plans with the same billing interval
Beispiel:
false
Show child attributes
Show child attributes
War diese Seite hilfreich?